
.. _begin_cli:

begin
*****







.. rubric:: Output of :code:`--help=begin`



The following help text is generated by :code:`ecflow_client --help=begin`

::

   
   begin
   -----
   
   Begin playing the definition in the server.
   Expects zero or a single quoted string.
     arg1 = suite-name | Nothing | force
            play the chosen suite, if no arg specified, play all suites, in the definition
            force means reset the begin status on the suites and bypass checks.
            This is only required if suite-name is provide as the first argument
            Using force can cause the creation of zombies
   Usage:
   --begin                     # will begin all suites
   --begin="--force"         # reset and then begin all suites, bypassing any checks. Note: string must be quoted
   --begin="mySuite"         # begin playing suite of name 'mySuite'
   --begin="mySuite --force" # reset and begin playing suite 'mySuite', bypass check
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

